Bug 441564 - RHEL5 cmirror tracker: renaming a mirror during a sync causes the sync to stop
RHEL5 cmirror tracker: renaming a mirror during a sync causes the sync to stop
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2-cluster (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Jonathan Earl Brassow
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-08 15:14 EDT by Corey Marthaler
Modified: 2010-01-11 23:09 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:55:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2008-04-08 15:14:15 EDT
Description of problem:
[root@hayes-03 tmp]# lvrename hayes/mirrorA hayes/mirrorB
  Renamed "mirrorA" to "mirrorB" in volume group "hayes"

[root@hayes-03 tmp]# lvs -a -o +devices
  LV                 VG         Attr   LSize  Origin Snap%  Move Log         
Copy%  Convert Devices                 
  LogVol00           VolGroup00 -wi-ao 72.44G                                  
             /dev/sda2(0)            
  LogVol01           VolGroup00 -wi-ao  1.94G                                  
             /dev/sda2(2318)         
  mirrorB            hayes      mwi-a- 10.00G                    mirrorB_mlog  
8.20         mirrorB_mimage_0(0),mirrorB_mimage_1(0)
  [mirrorB_mimage_0] hayes      Iwi-ao 10.00G                                  
             /dev/etherd/e1.1p1(0)   
  [mirrorB_mimage_1] hayes      Iwi-ao 10.00G                                  
             /dev/etherd/e1.1p2(0)   
  [mirrorB_mlog]     hayes      lwi-ao  4.00M                                  
             /dev/etherd/e1.1p7(0)   

The sync is not stuck at 8.20%

Version-Release number of selected component (if applicable):
2.6.18-85.el5
lvm2-2.02.32-4.el5
lvm2-cluster-2.02.32-4.el5
kmod-cmirror-0.1.8-1.el5

How reproducible:
everytime
Comment 1 Jonathan Earl Brassow 2008-05-05 10:59:48 EDT
This does not happen for me.  Perhaps it has been fixed, or I need more
information on how to reproduce.

Also, could you do me a favor?  The version numbers of the RPMs don't mean much
to me, but the date of their build would be /very/ nice.  Please do 'rpm -qi
<pkg>' to get the build date.
Comment 2 Corey Marthaler 2008-05-05 11:44:08 EDT
I can still reproduce this on the latest rpms.

[root@taft-03 tmp]# lvs -a -o +devices
  LV                   VG         Attr   LSize  Origin Snap%  Move Log         
  Copy%  Convert Devices          
  cmirror_1            TAFT       mwi-a- 10.00G                   
cmirror_1_mlog  11.02         cmirror_1_mimage_0(0),cmirror_1_mimage_1(0)
  [cmirror_1_mimage_0] TAFT       Iwi-ao 10.00G                                
                 /dev/sdh1(0)     
  [cmirror_1_mimage_1] TAFT       Iwi-ao 10.00G                                
                 /dev/sdg1(0)     
  [cmirror_1_mlog]     TAFT       lwi-ao  4.00M                                
                 /dev/sdb1(0)     

[root@taft-03 tmp]# lvrename TAFT/cmirror_1 TAFT/cmirror_2
  Renamed "cmirror_1" to "cmirror_2" in volume group "TAFT"

[root@taft-03 tmp]# lvs -a -o +devices
  LV                   VG         Attr   LSize  Origin Snap%  Move Log         
  Copy%  Convert Devices          
  cmirror_2            TAFT       mwi-a- 10.00G                   
cmirror_2_mlog  15.94         cmirror_2_mimage_0(0),cmirror_2_mimage_1(0)
  [cmirror_2_mimage_0] TAFT       Iwi-ao 10.00G                                
                 /dev/sdh1(0)     
  [cmirror_2_mimage_1] TAFT       Iwi-ao 10.00G                                
                 /dev/sdg1(0)     
  [cmirror_2_mlog]     TAFT       lwi-ao  4.00M                                
                 /dev/sdb1(0)     

[root@taft-03 tmp]# lvs -a -o +devices
  LV                   VG         Attr   LSize  Origin Snap%  Move Log         
  Copy%  Convert Devices          
  cmirror_2            TAFT       mwi-a- 10.00G                   
cmirror_2_mlog  15.94         cmirror_2_mimage_0(0),cmirror_2_mimage_1(0)
  [cmirror_2_mimage_0] TAFT       Iwi-ao 10.00G                                
                 /dev/sdh1(0)     
  [cmirror_2_mimage_1] TAFT       Iwi-ao 10.00G                                
                 /dev/sdg1(0)     
  [cmirror_2_mlog]     TAFT       lwi-ao  4.00M                                
                 /dev/sdb1(0)     

The copy percent is now stuck at 15.94%.

Packages:
2.6.18-92.el5

[root@taft-03 tmp]# rpm -qi lvm2
Name        : lvm2                         Relocations: (not relocatable)
Version     : 2.02.32                           Vendor: Red Hat, Inc.
Release     : 4.el5                         Build Date: Fri 04 Apr 2008 06:15:19
AM CDT
Install Date: Fri 02 May 2008 03:43:49 PM CDT      Build Host:
hs20-bc2-3.build.redhat.com

[root@taft-03 tmp]# rpm -qi lvm2-cluster
Name        : lvm2-cluster                 Relocations: (not relocatable)
Version     : 2.02.32                           Vendor: Red Hat, Inc.
Release     : 4.el5                         Build Date: Wed 02 Apr 2008 03:56:50
AM CDT
Install Date: Fri 02 May 2008 03:45:25 PM CDT      Build Host:
hs20-bc2-3.build.redhat.com

[root@taft-03 tmp]# rpm -qi cmirror
Name        : cmirror                      Relocations: (not relocatable)
Version     : 1.1.15                            Vendor: Red Hat, Inc.
Release     : 1.el5                         Build Date: Thu 28 Feb 2008 01:04:29
PM CST
Install Date: Mon 05 May 2008 10:30:00 AM CDT      Build Host:
hs20-bc1-7.build.redhat.com

[root@taft-03 tmp]# rpm -qi kmod-cmirror
Name        : kmod-cmirror                 Relocations: (not relocatable)
Version     : 0.1.8                             Vendor: Red Hat, Inc.
Release     : 1.el5                         Build Date: Thu 28 Feb 2008 01:01:13
PM CST
Install Date: Mon 05 May 2008 10:30:00 AM CDT      Build Host:
ls20-bc1-14.build.redhat.com
Comment 3 RHEL Product and Program Management 2008-07-14 11:01:19 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Jonathan Earl Brassow 2008-07-23 16:18:44 EDT
Changes to 445456 may have also fixed this... putting into MODIFIED for further
testing.

Comment 5 Corey Marthaler 2008-07-23 17:26:45 EDT
the fix for 445456 didn't affect this bz.
Comment 6 Jonathan Earl Brassow 2008-07-24 12:58:30 EDT
commit e2db9051981c2cf8fb455c311d32c26180f2f5a4
Author: Jonathan Brassow <jbrassow@redhat.com>
Date:   Thu Jul 24 11:57:06 2008 -0500

    clogd: Bug 441564: Renaming a mirror during sync causes the sync to stop

    Wasn't resetting 'recovering_region' when suspending.  This caused
    the log server to think that a region was being recovered when it
    resumed.  Thus it would wait for that to finish before assigning
    new work.
Comment 7 Corey Marthaler 2008-08-22 11:38:00 EDT
Fix verified in:

2.6.18-104.el5

lvm2-2.02.32-4.el5    BUILT: Fri Apr  4 06:15:19 CDT 2008
lvm2-cluster-2.02.32-4.el5    BUILT: Wed Apr  2 03:56:50 CDT 2008
cmirror-1.1.22-1.el5    BUILT: Thu Jul 24 15:59:03 CDT 2008
kmod-cmirror-0.1.13-2.el5    BUILT: Thu Jul 24 16:00:48 CDT 2008
Comment 9 errata-xmlrpc 2009-01-20 15:55:55 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0100.html

Note You need to log in before you can comment on or make changes to this bug.